let
  repo = "${builtins.getEnv "PWD"}/chicken";
  pkgs = import (import ./nix/sources.nix).nixpkgs {};
in pkgs.mkShell {
  CHICKEN_REPOSITORY_PATH = repo;
  CHICKEN_INSTALL_REPOSITORY = repo;
  propagatedBuildInputs = with pkgs; with haskellPackages; [
    chicken
    jq
    shelltestrunner
  ];
}
